% 
% This is the annotation for the overlapFeaturesAnnotations function
% update it after the function is written

\name{plotProperties}
\alias{plotProperties}
\title{plotProperties}
\description{This function will plot the property plots of as many properties as supplied and found in annoTab, sorted by the clustering that needs to be supplied as well.}
\usage{
plotProperties(annoTab=NULL,clusterTab=NULL,projectfolder=getwd(),properties=NULL,label=NULL)}
\arguments{
	\item{annoTab}{If supplied, must be of class \code{data.frame} or \code{GRange} and contain at least the following slots: \code{id, clustering, silinfo}. It should be produced with the functions \code{pamClustering}.}
	\item{clusterTab}{If supplied, must be of class \code{data.frame} or \code{GRange} and contain at least the following slots: \code{id, clustering, silinfo}. It should be produced with the functions \code{pamClustering}.}
	\item{properties}{Optional, \code{character}, name of a column in annoTab.}
	\item{projectfolder}{The name of the folder where the project is carried out. Default is the working directory. If no clusterTab is provided, the function will look for the file 'clusterTab.rda' in the project folder and use that instead.}
	\item{label}{Optional, can be supplied to label the plots. Not used yet.}
}

\details{
}

\value{The path to the plot files in the project folder.}
\author{Judith Zaugg}

\examples{
#source('/Users/zaugg/svn.judith/judith/00_LOG/9999_MYPACKAGES/01_Nucleosomes/AnalyzeGenomicPipeline/R/overlapFeaturesAnnotations.R')
#load('data/htz1GR.rda')
#load('data/tssT.rda')
#overlapFeaturesAnnotations(annoTab=tssT,featureTab=htz1GR,align='start',up=350,down=50,projectfolder='../testACP/',featureNames='htz1')
}
